<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module Grades</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>Grades</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/u/ysahu/CS373/cs373-grades/Grades.py">/u/ysahu/CS373/cs373-grades/Grades.py</a></font></td></tr></table>
    <p><tt>#&nbsp;pylint:&nbsp;disable&nbsp;=&nbsp;invalid-name<br>
#&nbsp;pylint:&nbsp;disable&nbsp;=&nbsp;missing-docstring<br>
#&nbsp;pylint:&nbsp;disable&nbsp;=&nbsp;line-too-long</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#eeaa77">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Functions</strong></big></font></td></tr>
    
<tr><td bgcolor="#eeaa77"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl><dt><a name="-above_threshold"><strong>above_threshold</strong></a>(counts: list[int], threshold: list[int]) -&gt; bool</dt><dd><tt>#&nbsp;Checks&nbsp;whether&nbsp;or&nbsp;not&nbsp;a&nbsp;list&nbsp;of&nbsp;points&nbsp;is&nbsp;above&nbsp;or&nbsp;at&nbsp;the&nbsp;threshold&nbsp;to<br>
#&nbsp;receive&nbsp;a&nbsp;certain&nbsp;grade</tt></dd></dl>
 <dl><dt><a name="-count_total"><strong>count_total</strong></a>(scores: list[int]) -&gt; int</dt><dd><tt>#&nbsp;Counts&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;points&nbsp;earned&nbsp;in&nbsp;a&nbsp;specific&nbsp;category,&nbsp;which&nbsp;is<br>
#&nbsp;calculated&nbsp;by&nbsp;finding&nbsp;the&nbsp;number&nbsp;of&nbsp;Ms&nbsp;and&nbsp;Es,&nbsp;as&nbsp;well&nbsp;as&nbsp;accounting&nbsp;for<br>
#&nbsp;the&nbsp;"2&nbsp;Es&nbsp;offset&nbsp;1&nbsp;R"&nbsp;rule</tt></dd></dl>
 <dl><dt><a name="-grades_eval"><strong>grades_eval</strong></a>(l_l_scores: list[list[int]]) -&gt; str</dt><dd><tt>#&nbsp;This&nbsp;function&nbsp;works&nbsp;by&nbsp;first&nbsp;calculating&nbsp;the&nbsp;total&nbsp;number&nbsp;of&nbsp;points&nbsp;in&nbsp;each<br>
#&nbsp;category.&nbsp;Then,&nbsp;it&nbsp;goes&nbsp;through&nbsp;each&nbsp;possible&nbsp;threshold&nbsp;associated&nbsp;with&nbsp;each<br>
#&nbsp;letter&nbsp;grade&nbsp;(in&nbsp;descending&nbsp;order),&nbsp;and&nbsp;checks&nbsp;if&nbsp;the&nbsp;threshold&nbsp;is&nbsp;met.&nbsp;If<br>
#&nbsp;it&nbsp;is&nbsp;met&nbsp;for&nbsp;a&nbsp;certain&nbsp;grade,&nbsp;then&nbsp;it&nbsp;returns&nbsp;that&nbsp;grade&nbsp;as&nbsp;the&nbsp;answer.&nbsp;If<br>
#&nbsp;no&nbsp;threshold&nbsp;is&nbsp;met,&nbsp;it&nbsp;returns&nbsp;"F".&nbsp;This&nbsp;approach&nbsp;allows&nbsp;for&nbsp;flexibility,<br>
#&nbsp;since&nbsp;the&nbsp;thresholds&nbsp;and&nbsp;letter&nbsp;grades&nbsp;can&nbsp;be&nbsp;changed&nbsp;easily.</tt></dd></dl>
</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>grade_list</strong> = ['A', 'A-', 'B+', 'B', 'B-', 'C+', 'C', 'C-', 'D+', 'D', 'D-']<br>
<strong>threshold_counts</strong> = [[5, 11, 13, 13, 39], [5, 11, 13, 13, 38], [4, 10, 12, 12, 37], [4, 10, 12, 12, 35], [4, 10, 11, 11, 34], [4, 9, 11, 11, 32], [4, 9, 10, 10, 31], [4, 8, 10, 10, 29], [3, 8, 9, 9, 28], [3, 8, 9, 9, 27], [3, 7, 8, 8, 25]]</td></tr></table>
</body></html>